net.sf.jasperreports.components.table

## Class DesignCell

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementGroup
  - - net.sf.jasperreports.engine.design.JRDesignElementGroup
    - - net.sf.jasperreports.components.table.DesignCell

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, Cell, DesignStyleContainer, JRChangeEventsSupport, JRBoxContainer, JRChild, JRCloneable, JRElementGroup, JRPropertiesHolder, JRStyleContainer, JRVisitable

      public class DesignCell
      extends JRDesignElementGroup
      implements Cell, DesignStyleContainer

  Version:
    $Id: DesignCell.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DEFAULT_STYLE_PROVIDER`
    `static java.lang.String` | `PROPERTY_HEIGHT`
    `static java.lang.String` | `PROPERTY_ROW_SPAN`
    `static java.lang.String` | `PROPERTY_STYLE`
    `static java.lang.String` | `PROPERTY_STYLE_NAME_REFERENCE`

    - ### Fields inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup

      `PROPERTY_CHILDREN, PROPERTY_ELEMENT_GROUP`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `children, elementGroup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DesignCell()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `java.lang.Integer` | `getHeight()`
    `JRLineBox` | `getLineBox()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Integer` | `getRowSpan()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `setDefaultStyleProvider(JRDefaultStyleProvider defaultStyleProvider)`
    `void` | `setHeight(java.lang.Integer height)`
    `void` | `setRowSpan(java.lang.Integer rowSpan)`
    `void` | `setStyle(JRStyle style)`
    `void` | `setStyleNameReference(java.lang.String styleName)`

    - ### Methods inherited from class net.sf.jasperreports.engine.design.JRDesignElementGroup

      `addElement, addElement, addElement, addElementGroup, addElementGroup, getEventSupport, removeElement, removeElementGroup, setElementGroup`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

- - ### Field Detail

    - #### PROPERTY_DEFAULT_STYLE_PROVIDER

          public static final java.lang.String PROPERTY_DEFAULT_STYLE_PROVIDER

      See Also:
        Constant Field Values

    - #### PROPERTY_STYLE

          public static final java.lang.String PROPERTY_STYLE

      See Also:
        Constant Field Values

    - #### PROPERTY_STYLE_NAME_REFERENCE

          public static final java.lang.String PROPERTY_STYLE_NAME_REFERENCE

      See Also:
        Constant Field Values

    - #### PROPERTY_ROW_SPAN

          public static final java.lang.String PROPERTY_ROW_SPAN

      See Also:
        Constant Field Values

    - #### PROPERTY_HEIGHT

          public static final java.lang.String PROPERTY_HEIGHT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DesignCell

          public DesignCell()

  - ### Method Detail

    - #### getHeight

          public java.lang.Integer getHeight()

      Specified by:
        `getHeight` in interface `Cell`

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### setDefaultStyleProvider

          public void setDefaultStyleProvider(JRDefaultStyleProvider defaultStyleProvider)

      Specified by:
        `setDefaultStyleProvider` in interface `DesignStyleContainer`

    - #### setStyle

          public void setStyle(JRStyle style)

      Specified by:
        `setStyle` in interface `DesignStyleContainer`

    - #### setStyleNameReference

          public void setStyleNameReference(java.lang.String styleName)

      Specified by:
        `setStyleNameReference` in interface `DesignStyleContainer`

    - #### setHeight

          public void setHeight(java.lang.Integer height)

    - #### getRowSpan

          public java.lang.Integer getRowSpan()

      Specified by:
        `getRowSpan` in interface `Cell`

    - #### setRowSpan

          public void setRowSpan(java.lang.Integer rowSpan)

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRDesignElementGroup`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com